For the complete documentation index, see llms.txt. This page is also available as Markdown.

Get entity timestamps

Retrieve timestamps for entities to be used in caching. The entities refer to database tables, and the timestamp for each entity is updated whenever a record within the table is created, updated, or deleted.

get
/tenants/{tenantUid}/caching/entity-timestamps
Authorizations
AuthorizationstringRequired

Access token recevied after user login with a deviceToken

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
Responses
200

Example response

application/json
storestring · date-timeRequired
warehousestring · date-timeRequired
warehouseAccessstring · date-timeRequired
brandstring · date-timeRequired
productPropertystring · date-timeRequired
productPropertyOptionstring · date-timeRequired
deliveryProviderstring · date-timeRequired
deliveryMethodstring · date-timeRequired
timeslotstring · date-timeRequired
handlingstring · date-timeRequired
handlingActionstring · date-timeRequired
serviceTypestring · date-timeRequired
serviceStatusstring · date-timeRequired
hourlyRatestring · date-timeRequired
organizationstring · date-timeRequired
get/tenants/{tenantUid}/caching/entity-timestamps
GET /v2/tenants/{tenantUid}/caching/entity-timestamps HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

Example response

{
  "store": "2026-01-01T00:00:00.000Z",
  "warehouse": "2026-01-01T00:00:00.000Z",
  "warehouseAccess": "2026-01-01T00:00:00.000Z",
  "brand": "2026-01-01T00:00:00.000Z",
  "productProperty": "2026-01-01T00:00:00.000Z",
  "productPropertyOption": "2026-01-01T00:00:00.000Z",
  "deliveryProvider": "2026-01-01T00:00:00.000Z",
  "deliveryMethod": "2026-01-01T00:00:00.000Z",
  "timeslot": "2026-01-01T00:00:00.000Z",
  "handling": "2026-01-01T00:00:00.000Z",
  "handlingAction": "2026-01-01T00:00:00.000Z",
  "serviceType": "2026-01-01T00:00:00.000Z",
  "serviceStatus": "2026-01-01T00:00:00.000Z",
  "hourlyRate": "2026-01-01T00:00:00.000Z",
  "organization": "2026-01-01T00:00:00.000Z"
}

Last updated

Was this helpful?